Bug 849437 - ReviewBoard dependency on Django
ReviewBoard dependency on Django
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: Django (Show other bugs)
el6
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Steve Milner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-19 09:02 EDT by Vadym Chepkov
Modified: 2013-03-29 17:31 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-20 09:27:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vadym Chepkov 2012-08-19 09:02:00 EDT
ReviewBoard-1.6.11-1.el6.noarch requires Django >= 1.3.2

EPEL has only Django-1.3.1-2.el6.noarch
Comment 1 Stephen Gallagher 2012-08-20 07:33:30 EDT
Django 1.3.2 is in updates-testing right now. I mistakenly pushed Review Board to stable before Django had been pushed.

Please install Django 1.3.2 from updates-testing and (assuming it works properly), please give positive karma at https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-6559/Django-1.3.2-1.el6
Comment 2 ralacroix 2013-03-12 12:49:35 EDT
What about this dependency conflict?

installed packages:
ReviewBoard-1.6.15-1.el6.noarch
Django-1.3.4-1.el6.noarch

yum update...

--> Running transaction check
---> Package ReviewBoard.noarch 0:1.6.15-1.el6 will be updated
---> Package ReviewBoard.noarch 0:1.6.16-1.el6 will be an update
--> Processing Dependency: Django >= 1.3.7 for package: ReviewBoard-1.6.16-1.el6.noarch
---> Package python-djblets.noarch 0:0.6.27-1.el6 will be updated
---> Package python-djblets.noarch 0:0.6.28-1.el6 will be an update
--> Running transaction check
---> Package Django14.noarch 0:1.4.5-1.el6 will be installed
--> Processing Conflict: Django14-1.4.5-1.el6.noarch conflicts Django < 1.4.0
--> Processing Conflict: ReviewBoard-1.6.16-1.el6.noarch conflicts Django >= 1.4
--> Finished Dependency Resolution
Error: ReviewBoard conflicts with Django14-1.4.5-1.el6.noarch
Error: Django14 conflicts with Django-1.3.4-1.el6.noarch
Comment 3 Fedora Update System 2013-03-13 11:01:04 EDT
Django-1.3.7-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/Django-1.3.7-1.el6
Comment 4 Stephen Gallagher 2013-03-13 11:03:07 EDT
Sorry about that, when I filed the ReviewBoard update, I only looked at Koji, which said that Django 1.7.3 had been built back in February. I didn't remember to check Bodhi, which never had the update filed. I've just submitted it and it should hit updates-testing by tomorrow.

In the meantime, you can manually pull the update candidate from:
http://koji.fedoraproject.org/koji/buildinfo?buildID=397246

(And give it some karma if it works for you)
Comment 5 Fedora Update System 2013-03-13 17:28:28 EDT
Package Django-1.3.7-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing Django-1.3.7-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-0647/Django-1.3.7-1.el6
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-03-29 17:31:44 EDT
Django-1.3.7-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.